JXimc.analog_data_t
Date: 2026-02-11

ru.ximc.libximc

## Class JXimc.analog_data_t

- java.lang.Object
- - ru.ximc.libximc.JXimc.analog_data_t

- Enclosing class:
    JXimc

      public static class JXimc.analog_data_t
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `short` | `A1Voltage`
    `short` | `A1Voltage_ADC`
    `short` | `A2Voltage`
    `short` | `A2Voltage_ADC`
    `short` | `ACurrent`
    `short` | `ACurrent_ADC`
    `short` | `B1Voltage`
    `short` | `B1Voltage_ADC`
    `short` | `B2Voltage`
    `short` | `B2Voltage_ADC`
    `short` | `BCurrent`
    `short` | `BCurrent_ADC`
    `short` | `deprecated0`
    `short[]` | `deprecated1`
    `short` | `Enc_Check`
    `short` | `Enc_Check_ADC`
    `short` | `FullCurrent`
    `short` | `FullCurrent_ADC`
    `short` | `Joy`
    `short` | `Joy_ADC`
    `int` | `L`
    `short` | `Pot`
    `short` | `Pot_ADC`
    `int` | `R`
    `short` | `SupVoltage`
    `short` | `SupVoltage_ADC`
    `short` | `Temp`
    `short` | `Temp_ADC`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `analog_data_t()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### A1Voltage_ADC

          public short A1Voltage_ADC

    - #### A2Voltage_ADC

          public short A2Voltage_ADC

    - #### B1Voltage_ADC

          public short B1Voltage_ADC

    - #### B2Voltage_ADC

          public short B2Voltage_ADC

    - #### SupVoltage_ADC

          public short SupVoltage_ADC

    - #### ACurrent_ADC

          public short ACurrent_ADC

    - #### BCurrent_ADC

          public short BCurrent_ADC

    - #### FullCurrent_ADC

          public short FullCurrent_ADC

    - #### Temp_ADC

          public short Temp_ADC

    - #### Joy_ADC

          public short Joy_ADC

    - #### Pot_ADC

          public short Pot_ADC

    - #### Enc_Check_ADC

          public short Enc_Check_ADC

    - #### deprecated0

          public short deprecated0

    - #### A1Voltage

          public short A1Voltage

    - #### A2Voltage

          public short A2Voltage

    - #### B1Voltage

          public short B1Voltage

    - #### B2Voltage

          public short B2Voltage

    - #### SupVoltage

          public short SupVoltage

    - #### ACurrent

          public short ACurrent

    - #### BCurrent

          public short BCurrent

    - #### FullCurrent

          public short FullCurrent

    - #### Temp

          public short Temp

    - #### Joy

          public short Joy

    - #### Pot

          public short Pot

    - #### Enc_Check

          public short Enc_Check

    - #### deprecated1

          public short[] deprecated1

    - #### R

          public int R

    - #### L

          public int L

  - ### Constructor Detail

    - #### analog_data_t

          public analog_data_t()